Subject: RE: GVIM
From: "Crescioli, Phil" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 17 Mar 2004 12:44:33 -0500

FYI,
I took your bash shell vi->gvim converter and re-wrote it
for placement in my ~/.tcshrc.

if ($?tcsh) then
    if ("$TERM" == "cygwin") then
        echo "Setting VI to kickoff GVIM within a cygwin window"
        if (-x "C:/vim/vim62/gvim.exe") then
           alias vi "C:/vim/vim62/gvim.exe"
        endif
    endif
endif

Thanks for the tip!
Phil
---

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Friday, March 12, 2004 9:51 AM
To: Crescioli, Phil
Subject: Re: GVIM

>>>>> "Phil" == Crescioli, Phil <[email-masked]> writes:

    Phil> Hello all, Why is only VIM and not GVIM included with the
    Phil> Cygwin package?  I'd love to use GVIM straight from a Cygwin
    Phil> install.

Cygwin packages whatever software someone has bothered to port to
Cygwin.  Apparently nobody has ported gvim.  Go ahead and do it
yourself!

As it happens, I use gvim with Cygwin, and it's fine.  I had to
install Cygwin and gvim separately, of course, but neither
installation is difficult.

To further the illusion of gvim being "part of" Cygwin, I've put this
shell function definition in ~/.bashrc:

    if [  "$OSTYPE" = "cygwin" ]; then
        if [ -x "/c/vim/vim62/gvim.exe" ]; then
            vi ()
            {
               /c/vim/vim62/gvim.exe "$@"
            }
        fi
    fi

Thus, when I type `vi foo' in a Cygwin shell, I actually run gvim.

-- 
Always code as if the guy who ends up maintaining your code will
    be a violent psychopath who knows where you live.  John F. Woods

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/